function modAnEntry(anEntry,name){
	if (name.length != 0) {
		anEntry[0] = true;
		anEntry[1] = name;
		anEntry[2] = name;
	}
}

var aPresetNameList = new Array(20); 
for (i = 0; i < 20; i ++){
	aPresetNameList[i] = new Array(false, "", i);
}

modAnEntry(aPresetNameList[0], camctrl_presetname_0);
modAnEntry(aPresetNameList[1], camctrl_presetname_1);
modAnEntry(aPresetNameList[2], camctrl_presetname_2);
modAnEntry(aPresetNameList[3], camctrl_presetname_3);
modAnEntry(aPresetNameList[4], camctrl_presetname_4);
modAnEntry(aPresetNameList[5], camctrl_presetname_5);
modAnEntry(aPresetNameList[6], camctrl_presetname_6);
modAnEntry(aPresetNameList[7], camctrl_presetname_7);
modAnEntry(aPresetNameList[8], camctrl_presetname_8);
modAnEntry(aPresetNameList[9], camctrl_presetname_9);
modAnEntry(aPresetNameList[10],camctrl_presetname_10);
modAnEntry(aPresetNameList[11],camctrl_presetname_11);
modAnEntry(aPresetNameList[12],camctrl_presetname_12);
modAnEntry(aPresetNameList[13],camctrl_presetname_13);
modAnEntry(aPresetNameList[14],camctrl_presetname_14);
modAnEntry(aPresetNameList[15],camctrl_presetname_15);
modAnEntry(aPresetNameList[16],camctrl_presetname_16);
modAnEntry(aPresetNameList[17],camctrl_presetname_17);
modAnEntry(aPresetNameList[18],camctrl_presetname_18);
modAnEntry(aPresetNameList[19],camctrl_presetname_19);

